#
# spec file for package psutils (Version p17)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           psutils
License:        GPL
Group:          Productivity/Publishing/PS
Provides:       psutils-p17
Requires:       perl
Autoreqprov:    on
Version:        p17
Release:        880.2
Summary:        Tools for Manipulating PostScript Files
Source:         psutils-p17.tar.gz
Patch:          psutils-p17.dif
Patch1:         psutils-flip.dif
Patch2:         psutils-pserror.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This archive contains utilities for manipulating PostScript documents.
Page selection and rearrangement are supported, including arrangement
into signatures for booklet printing, and page merging for n-up
printing.

psbook		rearranges pages into signatures

psselect	selects pages and page ranges

pstops		performs general page rearrangement and selection

psnup		put multiple pages per physical sheet of paper

psresize	alter document paper size

epsffit 	fits an EPSF file to a given bounding box

You will find a README in /usr/share/doc/packages/psutils/ which also
describes several Perl scripts for importing PostScript files. A manual
page for each ps utility is also included.



Authors:
--------
    Angus J. C. Duggan <angus@harlequin.co.uk>

%debug_package
%prep
%setup
%patch1 -p1 -b .flip
%patch2 -p0 -b .sec
%patch

%build
    make -f Makefile.unix RPM_OPT_FLAGS="$RPM_OPT_FLAGS" 

%install
    rm -rf $RPM_BUILD_ROOT
    mkdir -p $RPM_BUILD_ROOT%_mandir/man1 $RPM_BUILD_ROOT/usr/bin
    make -f Makefile.unix BINDIR=$RPM_BUILD_ROOT/usr/bin MANDIR=$RPM_BUILD_ROOT%_mandir/man1 INCLUDEDIR=$RPM_BUILD_ROOT/usr/share/psutils install

%clean
    rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LICENSE
/usr/bin/epsffit
/usr/bin/extractres
/usr/bin/fixdlsrps
/usr/bin/fixfmps
/usr/bin/fixmacps
/usr/bin/fixpsditps
/usr/bin/fixpspps
/usr/bin/fixscribeps
/usr/bin/fixtpps
/usr/bin/fixwfwps
/usr/bin/fixwpps
/usr/bin/fixwwps
/usr/bin/getafm
/usr/bin/includeres
/usr/bin/psbook
/usr/bin/psmerge
/usr/bin/psnup
/usr/bin/psresize
/usr/bin/psselect
/usr/bin/pstops
/usr/bin/showchar
%{_mandir}/man1/epsffit.1.gz
%{_mandir}/man1/extractres.1.gz
%{_mandir}/man1/fixdlsrps.1.gz
%{_mandir}/man1/fixfmps.1.gz
%{_mandir}/man1/fixmacps.1.gz
%{_mandir}/man1/fixpsditps.1.gz
%{_mandir}/man1/fixpspps.1.gz
%{_mandir}/man1/fixscribeps.1.gz
%{_mandir}/man1/fixtpps.1.gz
%{_mandir}/man1/fixwfwps.1.gz
%{_mandir}/man1/fixwpps.1.gz
%{_mandir}/man1/fixwwps.1.gz
%{_mandir}/man1/getafm.1.gz
%{_mandir}/man1/includeres.1.gz
%{_mandir}/man1/psbook.1.gz
%{_mandir}/man1/psmerge.1.gz
%{_mandir}/man1/psnup.1.gz
%{_mandir}/man1/psresize.1.gz
%{_mandir}/man1/psselect.1.gz
%{_mandir}/man1/pstops.1.gz
%dir /usr/share/psutils/
/usr/share/psutils/md68_0.ps
/usr/share/psutils/md71_0.ps

%changelog -n psutils
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 14 2006 - schwab@suse.de
- Don't strip binaries.
* Mon Apr 04 2005 - werner@suse.de
- Harden message function to avoid buffer overflows  (bug #75721)
* Wed Jun 16 2004 - werner@suse.de
- Add some paper names and sizes (bug #42105)
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Fri Jul 11 2003 - garloff@suse.de
- use RPM_OPT_FLAGS
* Tue May 27 2003 - coolo@suse.de
- use BuildRoot
* Mon Sep 16 2002 - sbrabec@suse.cz
- Added psutils-flip.dif patch, which implements page flipping to
  pstops.
* Fri Aug 30 2002 - werner@suse.de
- Add comment what to use if psmerge fails
* Thu Dec 14 2000 - werner@suse.de
- Group tag
* Mon May 29 2000 - kukuk@suse.de
- Use doc macro
* Mon Jan 24 2000 - werner@suse.de
- Fix getafm
- Avoid SIGSEGV in psselect with empty page range
- Fix man page of pstops
- Use RPM_OPT_FLAGS
- /usr/man -> /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Nov 16 1997 - werner@suse.de
- Update to new version
- Fix some programs
  * epsffit.c (make showpage work even if inner graphics redefine showpage)
  * psnup.c (remove nasty compile warnings)
  * psutil.c (POSIX conform file position check even if pipes are used)
